



window.addEventListener('DOMContentLoaded', function() {


var audio = '';
var gravando = false;

if (window.SpeechRecognition || window.webkitSpeechRecognition) {

    var speech_api = window.SpeechRecognition || window.webkitSpeechRecognition;
    var gravar_audio = new speech_api();

    gravar_audio.continuous = false;
    gravar_audio.interimResults = false;
   gravar_audio.lang = "pt-BR";
   // gravar_audio.lang = "en-US";

    gravar_audio.onstart = function () {
        gravando = true;
    };

    gravar_audio.onend = function () {
        gravar_audio.start();
        gravando = false;
    };
    gravar_audio.onresult = function (event) {
                audio = event.results[0][0].transcript; 
                console.log(audio);

                document.getElementById("textarea").value = audio;

                 
                var url_total = window.location.href;
                console.log(url_total);

                 $.ajax({
                url : 'http://localhost/modelo/assistente_ib.php', /* URL que será chamada */ 
                type : 'POST', /* Tipo da requisição */ 
                data: {audio:audio,url:url_total}, /* dado que será enviado via POST */
                dataType: 'html', /* Tipo de transmissão */
                success: function(data){
                  
                    if(data != ''){
                    window.location.href = data;
                    }

                    
             
                        }
                   });   








                if(audio.toLowerCase() === "gravar"){
                document.getElementById("btn-gravar-audio").click();



                gravar_audio.onend = function () {
                    gravando = false;
                };
               }
    };

        if (gravando) {
            gravar_audio.stop();
            return;
        }
        gravar_audio.start();

} else {
    console.log("navegador não apresenta suporte a web speech api");
}
}, false);







